package com.adealink.weparty.profile.data

import com.adealink.weparty.module.profile.data.UserInfo
import com.google.gson.annotations.SerializedName

data class MyUserInfoRes(
    @SerializedName("userProfile") val userInfo: UserInfo
)

data class GetUserinfoReq(
    @SerializedName("userNos") val uids: List<String>
)

data class GetUserInfosRes(
    @SerializedName("list") val list: List<UserInfo>
)


data class UpdateMyUserInfoReq(
    @SerializedName("avatar") val avatar: String? = null,
    @SerializedName("nickname") val nickname: String? = null,
    @SerializedName("gender") val gender: Int? = null,
    @SerializedName("birthday") val birthday: String? = null,
)